<html>
<head>
<title>OGRE: Ogre::InstancedGeometry::QueuedSubMesh Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>::<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a></div>
<h1>Ogre::InstancedGeometry::QueuedSubMesh Struct Reference</h1><!-- doxytag: class="Ogre::InstancedGeometry::QueuedSubMesh" -->Structure recording a queued submesh for the build.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#9cd1961231f4ec732c79c93f14c36474">submesh</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry.html#b6364311fccfa74fb4996db6168a9311">SubMeshLodGeometryLinkList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#3f7287b0143292493a03109ff7eed110">geometryLodList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Link to LOD list of geometry, potentially optimised.  <a href="#3f7287b0143292493a03109ff7eed110"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#466f33cb517f07175fe40bcd40c817b3">materialName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#969ab9bab92660331b6624cf8949abdf">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#eb414bd81b40f0d41857dbfd79e22c5c">orientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#feb0331655420b25a11334d7599f7c56">scale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#8ead0568287a9f2f2b27bbbc5ee30482">worldBounds</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pre-transformed world AABB.  <a href="#8ead0568287a9f2f2b27bbbc5ee30482"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#7d2c27cd2c52a9f1db035d7171ea9f80">ID</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording a queued submesh for the build. 
<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00133">133</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9cd1961231f4ec732c79c93f14c36474"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::submesh" ref="9cd1961231f4ec732c79c93f14c36474" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a>* <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#9cd1961231f4ec732c79c93f14c36474">Ogre::InstancedGeometry::QueuedSubMesh::submesh</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00135">135</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f7287b0143292493a03109ff7eed110"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::geometryLodList" ref="3f7287b0143292493a03109ff7eed110" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry.html#b6364311fccfa74fb4996db6168a9311">SubMeshLodGeometryLinkList</a>* <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#3f7287b0143292493a03109ff7eed110">Ogre::InstancedGeometry::QueuedSubMesh::geometryLodList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Link to LOD list of geometry, potentially optimised. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00137">137</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="466f33cb517f07175fe40bcd40c817b3"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::materialName" ref="466f33cb517f07175fe40bcd40c817b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#466f33cb517f07175fe40bcd40c817b3">Ogre::InstancedGeometry::QueuedSubMesh::materialName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00138">138</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="969ab9bab92660331b6624cf8949abdf"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::position" ref="969ab9bab92660331b6624cf8949abdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#969ab9bab92660331b6624cf8949abdf">Ogre::InstancedGeometry::QueuedSubMesh::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00139">139</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eb414bd81b40f0d41857dbfd79e22c5c"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::orientation" ref="eb414bd81b40f0d41857dbfd79e22c5c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#eb414bd81b40f0d41857dbfd79e22c5c">Ogre::InstancedGeometry::QueuedSubMesh::orientation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00140">140</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="feb0331655420b25a11334d7599f7c56"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::scale" ref="feb0331655420b25a11334d7599f7c56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#feb0331655420b25a11334d7599f7c56">Ogre::InstancedGeometry::QueuedSubMesh::scale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00141">141</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8ead0568287a9f2f2b27bbbc5ee30482"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::worldBounds" ref="8ead0568287a9f2f2b27bbbc5ee30482" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#8ead0568287a9f2f2b27bbbc5ee30482">Ogre::InstancedGeometry::QueuedSubMesh::worldBounds</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pre-transformed world AABB. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00143">143</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d2c27cd2c52a9f1db035d7171ea9f80"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedSubMesh::ID" ref="7d2c27cd2c52a9f1db035d7171ea9f80" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#7d2c27cd2c52a9f1db035d7171ea9f80">Ogre::InstancedGeometry::QueuedSubMesh::ID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00144">144</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:12 2008
</p>
</body>
</html>
